libssh2_agent_free(3)

NAME
libssh2_agent_free - free an ssh-agent handle

SYNOPSIS
#include <libssh2.h>

void libssh2_agent_free(LIBSSH2_AGENT *agent);

DESCRIPTION
Free an ssh-agent handle. This function also frees the internal collection of public keys.

RETURN VALUE
None.

AVAILABILITY
Added in libssh2 1.2

SEE ALSO
libssh2_agent_init(3) libssh2_agent_disconnect(3)